// @ts-nocheck
import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { TypeOrmModule } from '@nestjs/typeorm';

import { envs } from './config';
import { HealthModule } from './common/health/health.module';

@Module({
	imports: [
		ConfigModule.forRoot({
			isGlobal: true,
			load: [envs],
		}),
		TypeOrmModule.forRoot({
			type: 'sqlite',
			database: `db.sqlite`,
			entities: [],
			logging: ['query'],
		}),
		HealthModule,
	],
})
export class AppModule {}
